## com.sun.jersey.core.header
Class AcceptableToken

    java.lang.Object
      com.sun.jersey.core.header.Token
          com.sun.jersey.core.header.AcceptableToken

All Implemented Interfaces:
  QualityFactor

    public class AcceptableToken

extends Token
implements QualityFactor

An acceptable token.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected int` `quality`

Fields inherited from class com.sun.jersey.core.header.Token
`token`

Fields inherited from interface com.sun.jersey.core.header.QualityFactor
`DEFAULT_QUALITY_FACTOR, MAXIMUM_QUALITY, MINUMUM_QUALITY, QUALITY_FACTOR`

Constructor Summary
`AcceptableToken(HttpHeaderReader reader)`
`AcceptableToken(java.lang.String header)`

Method Summary
`int` `getQuality()`

Methods inherited from class com.sun.jersey.core.header.Token
`getToken, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quality

    protected int quality

Constructor Detail

### AcceptableToken

    public AcceptableToken(java.lang.String header)
                    throws java.text.ParseException

Throws:
  `java.text.ParseException`

### AcceptableToken

    public AcceptableToken(HttpHeaderReader reader)
                    throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getQuality

    public int getQuality()

  Specified by:
    `getQuality` in interface `QualityFactor`

Copyright © 2017 Oracle Corporation. All Rights Reserved.